openSUSE Security Update : gimp (openSUSE-2020-1420)

Medium Nessus Plugin ID 140573

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for gimp fixes the following issue :

- CVE-2017-17789: Fix heap buffer overflow in PSP importer (bsc#1073627).

This update was imported from the SUSE:SLE-15:Update update project.

Solution

Update the affected gimp packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1073627

Plugin Details

Severity: Medium

ID: 140573

File Name: openSUSE-2020-1420.nasl

Version: 1.2

Type: local

Agent: unix

Published: 2020/09/14

Updated: 2020/09/16

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 6.8

Temporal Score: 5

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSS v3.0

Base Score: 7.8

Temporal Score: 6.8

Vector: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:gimp, p-cpe:/a:novell:opensuse:gimp-debuginfo, p-cpe:/a:novell:opensuse:gimp-debugsource, p-cpe:/a:novell:opensuse:gimp-devel, p-cpe:/a:novell:opensuse:gimp-devel-debuginfo, p-cpe:/a:novell:opensuse:gimp-lang, p-cpe:/a:novell:opensuse:gimp-plugin-aa, p-cpe:/a:novell:opensuse:gimp-plugin-aa-debuginfo, p-cpe:/a:novell:opensuse:gimp-plugins-python, p-cpe:/a:novell:opensuse:gimp-plugins-python-debuginfo, p-cpe:/a:novell:opensuse:libgimp-2_0-0, p-cpe:/a:novell:opensuse:libgimp-2_0-0-32bit, p-cpe:/a:novell:opensuse:libgimp-2_0-0-32bit-debuginfo, p-cpe:/a:novell:opensuse:libgimp-2_0-0-debuginfo, p-cpe:/a:novell:opensuse:libgimpui-2_0-0, p-cpe:/a:novell:opensuse:libgimpui-2_0-0-32bit, p-cpe:/a:novell:opensuse:libgimpui-2_0-0-32bit-debuginfo, p-cpe:/a:novell:opensuse:libgimpui-2_0-0-debuginfo, cpe:/o:novell:opensuse:15.1

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Exploit Ease: No known exploits are available

Patch Publication Date: 2020/09/13

Vulnerability Publication Date: 2017/12/20

Reference Information

CVE: CVE-2017-17789